%define tarname	Sphinx
%define name	python-sphinx
%define version	1.1.3 
%define release	%mkrel 3

# disable these for bootstrapping nose and sphinx
%define enable_tests 1
%define enable_doc 1

Summary:	Python documentation generator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/S/%{tarname}/%{tarname}-%{version}.tar.gz
Patch0:         Sphinx-1.1.3-sagemath.patch
# https://bitbucket.org/birkenfeld/sphinx/commits/ffb145b7884fc926d6a68f4aaeede1d4964f727c
Patch1:		Sphinx-1.1.3-manpage-writer.patch
License:	BSD
Group:		Development/Python
Url:		http://sphinx.pocoo.org/
BuildArch:	noarch
Requires:	python-pkg-resources
Requires:	python-docutils >= 0.7
Requires:	python-pygments >= 1.2
Requires:	python-jinja2 >= 2.3
BuildRequires:	python-setuptools
Requires:	python-pygments >= 1.2
%if %enable_doc
BuildRequires:	python-docutils >= 0.7
BuildRequires:	python-jinja2 >= 2.3
%endif
%if %enable_tests
BuildRequires:	python-nose
%endif
BuildRequires:	python-devel

%description
Sphinx is a tool that facilitates the creation of beautiful
documentation for Python projects from reStructuredText sources. It
was originally created to format the new documentation for Python, but
has since been cleaned up in the hope that it will be useful in many
other projects.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1
%patch1 -p1 -b .manpage-writer

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} 
%if %enable_doc
%__make -C doc html
%endif
%clean
%__rm -rf %{buildroot}

%check
%if %enable_tests
pushd tests
%__python run.py
popd
%endif

%files 
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE TODO 
%if %enable_doc
%doc doc/_build/html/
%endif
%_bindir/sphinx*
%py_sitedir/sphinx/
%py_sitedir/Sphinx-*egg-info/


%changelog

* Wed Jan 23 2013 sander85 <sander85> 1.1.3-3.mga3
+ Revision: 391602
- Fix manpage writer in expectation of docutils 0.10 API change (upstream#998)

* Sun Jan 13 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 379544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 philippem <philippem> 1.1.3-1.mga3
+ Revision: 294491
- New version 1.1.3

* Thu Nov 03 2011 lebedov <lebedov> 1.1.2-1.mga2
+ Revision: 162399
- Update to 1.1.2.

* Tue Oct 11 2011 lebedov <lebedov> 1.1-1.mga2
+ Revision: 153944
- Update to 1.1.

* Sat Sep 24 2011 fwang <fwang> 1.0.8-1.mga2
+ Revision: 147323
- new version 1.0.8

* Mon Feb 21 2011 ahmad <ahmad> 1.0.7-2.mga1
+ Revision: 55584
- rebuild to make all pythonegg requires/provides lowercase

* Thu Feb 03 2011 ahmad <ahmad> 1.0.7-1.mga1
+ Revision: 46761
- update to 1.0.7

* Mon Jan 31 2011 dmorgan <dmorgan> 1.0.5-7.mga1
+ Revision: 45405
- Enable back as python-nose have been rebuild

* Mon Jan 31 2011 dmorgan <dmorgan> 1.0.5-6.mga1
+ Revision: 45371
- Bump release
- bootstrap for rebuild gainst

* Mon Jan 31 2011 dmorgan <dmorgan> 1.0.5-5.mga1
+ Revision: 45350
- bootstrap because we need to rebuild python-nose
- Rebuild against python 2.7

  + pterjan <pterjan>
    - Re-enable tests

* Mon Jan 17 2011 pterjan <pterjan> 1.0.5-4.mga1
+ Revision: 21282
- Enable bootstrap
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.0.5-3.mga1
+ Revision: 8372
- enable doc and tests

* Thu Jan 13 2011 ahmad <ahmad> 1.0.5-2.mga1
+ Revision: 8357
- disable doc and tests for now
- replace deprecated %%py_requires macro with BR python-devel
- imported package python-sphinx

